Subject: RE: [mobile-ip] MIPv6 draft 19 and Einstein

From: "Greg O'Shea" <[email-masked]>
Date: Sun, 5 Jan 2003 18:39:53 -0000

Thanks, folks, for the predominantly encouraging comments.

If we think there is a simpler way immediately to hand then I do not
think we should impose unnecessary development, testing, deployment and
operational costs on others; people could be regression-testing this
protocol for years to come.

>> This would
>> probably be the way that I would implement a
>> commercial-grade home agent.
I think I agree.

Is there a way that an implementation that provides only virtual home
nets claim compliance with the existing or planned draft(s)? Or could
this be easily arranged without wholesale damage to the text? If not
then the time it would take to extract the "real-home nets"
functionality from the existing text into a separate and optional draft
might soon balance out or result in real net savings. (Sorry for that
opinion and for the pun.)

Greg

>-----Original Message-----
>From: James Kempf [mailto:[email-masked]] 
>Sent: 02 January 2003 17:26
>To: Jari Arkko; Pekka Nikander; Greg O'Shea; Charlie Perkins
>Cc: Mobile IPv6 mailling list
>Subject: Re: [mobile-ip] MIPv6 draft 19 and Einstein
>
>
>Jari,
>
>I like Greg's proposal as well. I actually think it would make 
>the protocol simpler to implement and understand if there is 
>not a specialized, priviliged home network case, and it would 
>also facilitate a MN having multiple HAs, since the HA could 
>now be viewed as a kind of service rather than a special 
>router. However, I think we should take PekkaN's suggestion 
>and put this into the charter of the new WG.
>
>We *must* get this spec completed.
>
>            jak
>
>----- Original Message -----
>From: "Jari Arkko" <[email-masked]>
>To: "Pekka Nikander" <[email-masked]>; "Greg 
>O'Shea" <[email-masked]>; "Charlie Perkins" 
><[email-masked]>
>Cc: "Mobile IPv6 mailling list" <[email-masked]>
>Sent: Saturday, December 28, 2002 2:05 AM
>Subject: Re: [mobile-ip] MIPv6 draft 19 and Einstein
>
>
>> I like Greg's simplified model a lot. This would
>> probably be the way that I would implement a
>> commercial-grade home agent.
>>
>> Charlie, you argued that there's a loss of functionality
>> if the home agents are always required. I think you are
>> in part right, and in part Greg is right. Greg is saying
>> that you can bundle the HAs to the routers and if you
>> take away the routers then the network is dead anyway.
>> This is right, though there are some remaining cases where
>> it still makes a difference:
>>
>> - When the HA functionality is not in the same box as the
>>    routers are. Then you could still be operational even if
>>    the HA was down.
>>
>> - Even if the router/HA is down, current design allows you
>>    to communicate on the current link with your home address.
>>    The new design would not.
>>
>> - In the current design, if you are at home and want to
>>    communicate with peers who are on the same network, you
>>    can do it directly, without establishing RO. In the new
>>    design, you'd have to establish RO and run RR all the
>>    time. Not a big deal perhaps, but you'd always have to
>>    do it.
>>
>> Then a few observations about where the impacts of the proposal are. 
>> For one thing, it appears that the current specifications 
>allow you to 
>> do this for the home agent. Many of the benefits of this 
>approach can 
>> be realized with this, such as the ability skip DAD on the home agent
>> side. (Remember that we decided to remove the D bit
>> functionality already put to the burden on HAs.) Of
>> course, the MNs still need to prepare for the possibility
>> that they will end up on a home network, so not all
>> benefits can be realized. You might even argue that the
>> most important ones are on the MN side.
>>
>> But what should we do with this proposal then? I does
>> have a lot of merit, but I'm tempted to agree with Pekka
>> that we should do it as a part of the splits that are
>> being planned for the MIPv6 "bis" version. Maybe the
>> "virtual home link HA" as the core of that spec, with
>> an optional add-on for those HAs that wish to offer a physical home 
>> link... there are some question marks as to what we can do on the MN 
>> side and how the MNs would be able to skip the complexity. Anyways, 
>> I'm open to suggestions here. What do others think?
>>
>> I also think that we should adopt the simplification
>> that Vijay suggested for the next draft revision.
>>
>> Jari
>>
>>
>
>